#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Digest
%define		pnam	HMAC
Summary:	Digest::HMAC - keyed-hashing for message authentication
Summary(pl.UTF-8):	Digest::HMAC - haszowanie z kluczem dla uwierzytelnienia wiadomości
Name:		perl-Digest-HMAC
Version:	1.03
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e6a5d6f552da16eacb5157ea4369ff9d
URL:		http://search.cpan.org/dist/Digest-HMAC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5 >= 2.00
BuildRequires:	perl-Digest-SHA1 >= 1.00
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HMAC is used for message integrity checks between two parties that
share a secret key, and works in combination with some other Digest
algorithm, usually MD5 or SHA-1. The HMAC mechanism is described in
RFC 2104.

%description -l pl.UTF-8
HMAC jest używany do kontroli integralności wiadomości pomiędzy dwiema
stronami dzielącymi tajny klucz, działa w połączeniu z jakimś innym
algorytmem skrótu, zazwyczaj MD5 lub SHA-1. Mechanizm HMAC jest
opisany w RFC 2104.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Digest/HMAC*.pm
%{_mandir}/man3/Digest::HMAC*.3pm*
%changelog
* Wed Jan 10 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Digest-HMAC.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> aa9b491
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 9a82b49
- more verbose files

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 9bf12ac
- up to 1.03

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> b63a7d1
- release 14

* Thu May 29 2008 Elan Ruusamäe <glen@pld-linux.org> e8279f8
- release 13

* Mon Mar 03 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 6f2637a
- rel.12

* Tue Mar 13 2007 Jakub Bogusz <qboosh@pld-linux.org> ef313b4
- generic URL, pl fixes

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 92265ce
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 04250a0
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8dd1d4e
- formatting

* Mon Jun 14 2004 radek <radek@pld-linux.org> 7b68862
- removed bogus OPTIMIZE

* Sat Jun 05 2004 radek <radek@pld-linux.org> c4c513a
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 635690d
- rel. 11

* Thu May 06 2004 ankry <ankry@pld-linux.org> ca23b7a
- fixed perl-devel BR

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> 1084009
- tests added

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 31c5174
- better summary/description, license fixes and unification

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> cec340d
- s/no/nb/ in Summary langs

* Mon Dec 29 2003 undefine <undefine@pld-linux.org> e059223
- release 10 to rebuild with ac

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 3ae7134
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 12b6b67
- massive attack: source-md5

